|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Obsolete Members for QTranslator

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QTranslator class reference

### Public Functions

- void insert ( const char * context, const char * sourceText, const QString & translation ) `(obsolete)`
- void remove ( const char * context, const char * sourceText ) `(obsolete)`

## Member Function Documentation

### void QTranslator::insert ( const char * context, const char * sourceText, const QString & translation )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Inserts the sourceText and translation into the translator with the given context.

### void QTranslator::remove ( const char * context, const char * sourceText )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Removes the translation associated to the key (context, sourceText, "") from this translator.